### Function

# PangoFT2.render_transformed

#### Declaration [src]

    void
    pango_ft2_render_transformed (
      FT_Bitmap* bitmap,
      const PangoMatrix* matrix,
      PangoFont* font,
      PangoGlyphString* glyphs,
      int x,
      int y
    )

#### Description [src]

Renders a `PangoGlyphString` onto a FreeType2 bitmap, possibly transforming the layed-out coordinates through a transformation matrix. Note that the transformation matrix for `font` is not changed, so to produce correct rendering results, the `font` must have been loaded using a `PangoContext` with an identical transformation matrix to that passed in to this function.

#### Parameters

`bitmap` | `FT_Bitmap*`
| the FreeType2 bitmap onto which to draw the string
| Ownership is not transferred to the callee
`matrix` | `const PangoMatrix*`
| a `PangoMatrix`, or `NULL` to use an identity transformation
| Can be `NULL`
| Ownership is not transferred to the callee
`font` | `PangoFont*`
| the font in which to draw the string
| Ownership is not transferred to the callee
`glyphs` | `PangoGlyphString*`
| the glyph string to draw
| Ownership is not transferred to the callee
`x` | `int`
| the x position of the start of the string (in Pango units in user space coordinates)
`y` | `int`
| the y position of the baseline (in Pango units in user space coordinates)